curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"tagName": "Tag Name"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags"
payload = { "tagName": "Tag Name" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"tagName\": \"Tag Name\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"tagName\": \"Tag Name\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tagName' => 'Tag Name'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagName: 'Tag Name'})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Tag added to conversation successfully."
}Add tag to conversation
Use this method to add a tag to the conversation. With tag(s) you can categorize conversations for assignment and/or reporting purposes. More info
Required scope: Enable one of: conversations:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"tagName": "Tag Name"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags"
payload = { "tagName": "Tag Name" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"tagName\": \"Tag Name\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"tagName\": \"Tag Name\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tagName' => 'Tag Name'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tagName: 'Tag Name'})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/conversations/{conversationId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"statusCode": "SUCCESS",
"message": "Tag added to conversation successfully."
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the conversation the tag is added to.
Body
Tag name identifier.
100